[Rubygems-developers] error when irb not installed

Jim Freeze rubygems at freeze.org
Wed Dec 27 17:52:22 EST 2006


On Dec 27, 2006, at 4:40 PM, Eric Hodel wrote:

> Ruby's `make install` installs everything.  There is no make target
> (or other built-in command) that will only install this standard
> library file or that standard library file for ruby.
...
>
> "irb is part of ruby.  If you don't have irb with your ruby it is
> broken.  Figure out how to install irb for ABC distribution then
> RubyGems will work.  Be sure to file a bug with your distribution for
> shipping a broken ruby, too."
...
>
> I would file a bug with CentOS.  My /usr/local/lib/ruby/1.8 is all of
> 6.7M, so installing the standard library as it ships is not onerous.

Yeah, I'm not sure why they left it out. Seems like they had to go out
of their way make is a separate install.


Jim Freeze



-------------- next part --------------
An HTML attachment was scrubbed...
URL: http://rubyforge.org/pipermail/rubygems-developers/attachments/20061227/33415d76/attachment.html 


More information about the Rubygems-developers mailing list